> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/api-reference.md).

# API Reference

- [Introduction](https://docs.struct.com/api-reference/introduction.md): Struct PIM ships with a standard REST API. Use webhooks in combination with API integrations to achieve near-real-time integrations and data consequence manipulation.
- [Endpoints](https://docs.struct.com/api-reference/endpoints.md): The API reference gives you a complete overview of the endpoints available as well as explanations of the data structures used
- [AISettings](https://docs.struct.com/api-reference/endpoints/aisettings.md)
- [AssetFolders](https://docs.struct.com/api-reference/endpoints/assetfolders.md)
- [Assets](https://docs.struct.com/api-reference/endpoints/assets.md)
- [AssetTypes](https://docs.struct.com/api-reference/endpoints/assettypes.md)
- [AttributeGroups](https://docs.struct.com/api-reference/endpoints/attributegroups.md)
- [Attributes](https://docs.struct.com/api-reference/endpoints/attributes.md)
- [AttributeScopes](https://docs.struct.com/api-reference/endpoints/attributescopes.md)
- [Browse](https://docs.struct.com/api-reference/endpoints/browse.md)
- [BusinessUnits](https://docs.struct.com/api-reference/endpoints/businessunits.md)
- [Catalogues](https://docs.struct.com/api-reference/endpoints/catalogues.md)
- [Categories](https://docs.struct.com/api-reference/endpoints/categories.md)
- [Dimensions](https://docs.struct.com/api-reference/endpoints/dimensions.md)
- [EnrichmentInsightSetups](https://docs.struct.com/api-reference/endpoints/enrichmentinsightsetups.md)
- [Exports](https://docs.struct.com/api-reference/endpoints/exports.md)
- [ExternalAssets](https://docs.struct.com/api-reference/endpoints/externalassets.md)
- [GlobalLists](https://docs.struct.com/api-reference/endpoints/globallists.md)
- [Languages](https://docs.struct.com/api-reference/endpoints/languages.md)
- [Maintenance](https://docs.struct.com/api-reference/endpoints/maintenance.md)
- [Messaging](https://docs.struct.com/api-reference/endpoints/messaging.md)
- [Miscellaneous](https://docs.struct.com/api-reference/endpoints/miscellaneous.md)
- [Permissions](https://docs.struct.com/api-reference/endpoints/permissions.md)
- [Products](https://docs.struct.com/api-reference/endpoints/products.md)
- [ProductStructures](https://docs.struct.com/api-reference/endpoints/productstructures.md)
- [Publications](https://docs.struct.com/api-reference/endpoints/publications.md)
- [SavedSearch](https://docs.struct.com/api-reference/endpoints/savedsearch.md)
- [Transactions](https://docs.struct.com/api-reference/endpoints/transactions.md)
- [UserGroup](https://docs.struct.com/api-reference/endpoints/usergroup.md)
- [UserRoles](https://docs.struct.com/api-reference/endpoints/userroles.md)
- [Users](https://docs.struct.com/api-reference/endpoints/users.md)
- [UserTasks](https://docs.struct.com/api-reference/endpoints/usertasks.md)
- [VariantGroups](https://docs.struct.com/api-reference/endpoints/variantgroups.md)
- [Variants](https://docs.struct.com/api-reference/endpoints/variants.md)
- [Webhooks](https://docs.struct.com/api-reference/endpoints/webhooks.md)
- [Workflows](https://docs.struct.com/api-reference/endpoints/workflows.md)
- [Models](https://docs.struct.com/api-reference/endpoints/models.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
